import os
import codecs

def main():
    # Execute SQL statement:
    sql_statement = "select idx, ch from characters"
    csv_output_file_name = squishinfo.testCase + "/output.csv"
    exec_sql_select("dummy_db_name", sql_statement, csv_output_file_name)

    # Read generated output:
    dataset = testData.dataset(csv_output_file_name)
    for row in dataset:
        value_cola = testData.field(row, "Column1")
        value_colb = testData.field(row, "Column2")
        test.log("Next row:")
        test.log("  " + value_cola)
        test.log("  " + value_colb)

def exec_sql_select(db_name, sql_statement, csv_output_file_name):
    query_file_name = squishinfo.testCase + "/query.txt"
    write_file_utf8(query_file_name, sql_statement)
    tool = squishinfo.testCase + "/../execute_query.py"
    cmd = ('python "%s" %s "%s" "%s" --testmode') % (tool, db_name, query_file_name, csv_output_file_name)
    test.log("exec_sql_select(): Executing: " + cmd)
    os.system(cmd)

def write_file_utf8(file_name, content):
    f = codecs.open(file_name, "w", "utf8")
    f.write(content)
    f.close()
